#include <stdio.h>
int main()
{
    int N,K,i;
    scanf("%d",&N);
    int spil[N];
    scanf("%d",&K);
    for(i=0;i<N;i++)
    {
        scanf("%d",&spil[i]);
    }
    if(N=2)
    {
        printf("%d",spil[2]);
    }
    if(N>2)
    {
        for(i=0;i<K;i++)
        {
            int temp=spil[i];
            spil[i]=spil[i+1];
            spil[i]=temp;
        }
    }
    printf("%d",spil[K+1]);
}